Skip to main content
`Ctrl`+`K`

# ParamRef

class astropy.io.votable.tree.ParamRef(table, ref, ucd=None, utype=None, config=None, pos=None)

  Bases: `SimpleElement`, `_UtypeProperty`, `_UcdProperty`

  PARAMref element: used inside of GROUP elements to refer to remote PARAM elements.

  The keyword arguments correspond to setting members of the same name, documented below.

  It contains the following publicly-accessible members:

  > ref: An XML ID referring to a <PARAM> element.

  Attributes Summary

  `ref` | The ID of the PARAM that this PARAMref references.

  Methods Summary

  `get_ref`() | Lookup the `Param` instance that this `PARAMref` references.

  Attributes Documentation

  ref

    The ID of the PARAM that this PARAMref references.

  Methods Documentation

  get_ref()

    Lookup the `Param` instance that this `PARAMref` references.